diff --git a/meta-sysmocom-bsp/recipes-bsp/init-ifupdown/init-ifupdown/sysmocom-idu/interfaces b/meta-sysmocom-bsp/recipes-bsp/init-ifupdown/init-ifupdown/sysmocom-idu/interfaces index da24596e1f..86d2c8b15c 100644 --- a/meta-sysmocom-bsp/recipes-bsp/init-ifupdown/init-ifupdown/sysmocom-idu/interfaces +++ b/meta-sysmocom-bsp/recipes-bsp/init-ifupdown/init-ifupdown/sysmocom-idu/interfaces @@ -26,12 +26,17 @@ iface eth0.2001 inet manual # VLAN 2002: Reserved for a future Inmarsat satellite modem # attached to port 7 of the IES-3080 auto eth0.2002 -iface eth0.2002 inet dhcp +#iface eth0.2002 inet dhcp +iface eth0.2002 inet manual # management VLAN of IES-3080 switch (172.16.2.3) auto eth0.6 iface eth0.6 inet manual +# video VLAN on IES-3080 +auto eth0.9 +iface eth0.9 inet manual + #eth1 is our admin interface and will provide dhcp to clients auto eth1 iface eth1 inet static @@ -41,14 +46,7 @@ iface eth1 inet static # eth2 is attached to the IDU-internal SOB-JB02-SW auto eth2 -iface eth2 inet manual - pre-up ifconfig $IFACE up - pre-down ifconfig $IFACE down - -# * br0 is a bridge interface on top of eth2 -# * we use the bridging code so we can run mstpd and become the root bridge -auto br0 -iface br0 inet static +iface eth2 inet static bridge_ports eth2 bridge_maxwait 0 address 172.16.4.1 @@ -56,18 +54,27 @@ iface br0 inet static network 172.16.4.0 # management VLAN towards {N,P}JB -auto br0.6 -iface br0.6 inet manual +auto eth2.6 +iface eth2.6 inet manual # bridge for VLAN 6: management VLAN auto br-mgmt iface br-mgmt inet static - bridge_ports br0.6 eth0.6 + bridge_ports eth2.6 eth0.6 bridge_maxwait 0 address 172.16.2.1 netmask 255.255.254.0 network 172.16.2.0 +# bridge for VLAN9: video +auto br-video +iface br-video inet static + bridge_ports eth2.9 eth0.9 + bridge_maxwait 0 + address 172.16.9.1 + netmask 255.255.255.0 + network 172.16.9.0 + # 172.16.1.1 is the service IP address for SOBMGMT auto br-mgmt:0 iface br-mgmt:0 inet static @@ -75,29 +82,46 @@ iface br-mgmt:0 inet static netmask 255.255.255.255 # GSM management VLAN -auto br0.7 -iface br0.7 inet static +auto eth2.7 +iface eth2.7 inet static address 172.16.7.1 netmask 255.255.255.0 network 172.16.7.0 +# Video VLAN on JB02, part of br-video +auto eth2.9 +iface eth2.9 inet manual + # admin WiFi -auto br0.1001 -iface br0.1001 inet static +auto eth2.1001 +iface eth2.1001 inet static address 172.16.8.1 netmask 255.255.255.0 network 172.16.8.0 # onboad WiFi -auto br0.1002 -iface br0.1002 inet static +auto eth2.1002 +iface eth2.1002 inet static address 172.16.128.1 netmask 255.255.252.0 network 172.16.128.0 # remote WiFi -auto br0.1003 -iface br0.1003 inet static +auto eth2.1003 +iface eth2.1003 inet static address 172.16.132.1 netmask 255.255.252.0 network 172.16.132.0 + +# JB-facing device for Inmarsat Satlite Crew +auto eth2.1004 +iface eth2.1004 inet manual + +# uplink of Inmarsat Satlite Crew +auto eth0.1004 +iface eth0.1004 inet manual + +auto br-satlite +iface br-satlite inet manual + bridge_ports eth0.1004 eth2.1004 + bridge_maxwait 0 diff --git a/meta-sysmocom-bsp/recipes-bsp/init-ifupdown/init-ifupdown_sysmocom.inc b/meta-sysmocom-bsp/recipes-bsp/init-ifupdown/init-ifupdown_sysmocom.inc index 38a87da5f7..a36a3e819e 100644 --- a/meta-sysmocom-bsp/recipes-bsp/init-ifupdown/init-ifupdown_sysmocom.inc +++ b/meta-sysmocom-bsp/recipes-bsp/init-ifupdown/init-ifupdown_sysmocom.inc @@ -1,6 +1,6 @@ SYSMOCOM := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}" FILESEXTRAPATHS_prepend := "${SYSMOCOM}/init-ifupdown-${PV}:${SYSMOCOM}/init-ifupdown:" -PRINC = "12" +PRINC = "13" # systemd does not look at /etc/rcS.d for the script. Make sure # there is a symlink available diff --git a/meta-sysmocom-bsp/recipes-bsp/linux/linux-sysmocom_git.bb b/meta-sysmocom-bsp/recipes-bsp/linux/linux-sysmocom_git.bb index d99da3c10d..f98eedae72 100644 --- a/meta-sysmocom-bsp/recipes-bsp/linux/linux-sysmocom_git.bb +++ b/meta-sysmocom-bsp/recipes-bsp/linux/linux-sysmocom_git.bb @@ -13,7 +13,7 @@ BTS_FIRMWARE_NAME_sysmobts-v1 = "sysmobts-v1" # Overrides for the sysmocom bts v2 BTS_FIRMWARE_NAME_sysmobts-v2 = "sysmobts-v2" -SRCREV = "9610e792ffde7fb2599d19ca6d2a03230f2043c6" +SRCREV = "0f21ba8c5b9ddf1d8c0c2bc36202e90d15ee381a" PR = "r43" PV = "${LINUX_VERSION}+git${SRCPV}" diff --git a/meta-sysmocom-bsp/recipes-core/busybox/busybox_sysmocom.inc b/meta-sysmocom-bsp/recipes-core/busybox/busybox_sysmocom.inc index 11f0941708..e29f906238 100644 --- a/meta-sysmocom-bsp/recipes-core/busybox/busybox_sysmocom.inc +++ b/meta-sysmocom-bsp/recipes-core/busybox/busybox_sysmocom.inc @@ -1,19 +1,33 @@ SYSMOCOM := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}" FILESEXTRAPATHS_prepend := "${SYSMOCOM}/busybox-${SYSMOCOM_ORIG_PV}:${SYSMOCOM}/files:" -PRINC = "24" +PRINC = "26" SRC_URI += "file://busybox-ifplugd.sh \ - file://ifplugd.sh" + file://ifplugd.sh \ + file://udhcpc-ntp.sh \ + file://udhcpc-ntp.default \ + " -PACKAGES =+ "${PN}-ifplugd" +PACKAGES =+ "${PN}-ifplugd ${PN}-udhcpc-ntp" FILES_${PN}-ifplugd = "${sysconfdir}/ifplugd.sh ${sysconfdir}/init.d/busybox-ifplugd.sh" +FILES_${PN}-udhcpc-ntp = "${sysconfdir}/udhcpc.d/60ntp \ + ${sysconfdir}/default/udhcpc-ntp \ + " + +CONFFILES_${PN}-udhcpc-ntp = "${sysconfdir}/default/udhcpc-ntp" + INITSCRIPT_PACKAGES += "${PN}-ifplugd" INITSCRIPT_NAME = "busybox-ifplugd.sh" +RDEPENDS_${PN}-udhcpc-ntp = "${PN}-udhcpc" + do_install_append() { install -m 0755 ${WORKDIR}/ifplugd.sh ${D}${sysconfdir}/ install -m 0755 ${WORKDIR}/busybox-ifplugd.sh ${D}${sysconfdir}/init.d/ + install -m 0755 ${WORKDIR}/udhcpc-ntp.sh ${D}/${sysconfdir}/udhcpc.d/60ntp + install -d ${D}/${sysconfdir}/default + install -m 0644 ${WORKDIR}/udhcpc-ntp.default ${D}/${sysconfdir}/default/udhcpc-ntp } diff --git a/meta-sysmocom-bsp/recipes-core/busybox/files/udhcpc-ntp.default b/meta-sysmocom-bsp/recipes-core/busybox/files/udhcpc-ntp.default new file mode 100755 index 0000000000..09e9172ec5 --- /dev/null +++ b/meta-sysmocom-bsp/recipes-core/busybox/files/udhcpc-ntp.default @@ -0,0 +1,2 @@ + +USE_NTPSERVER="yes" diff --git a/meta-sysmocom-bsp/recipes-core/busybox/files/udhcpc-ntp.sh b/meta-sysmocom-bsp/recipes-core/busybox/files/udhcpc-ntp.sh new file mode 100644 index 0000000000..4b400b8bd0 --- /dev/null +++ b/meta-sysmocom-bsp/recipes-core/busybox/files/udhcpc-ntp.sh @@ -0,0 +1,36 @@ +#!/bin/sh + +NTPDATE_CONF=/etc/default/ntpdate +NTP_CONF=/etc/ntp.conf + +[ -r /etc/default/udhcpc-ntp ] && . /etc/default/udhcpc-ntp + +if [ "$USE_NTPSERVER" != "yes" ]; then + exit 0 +fi + +case "$1" in + renew|bound) + if [ -z "$ntpsrv" ]; then + exit 0 + fi + + printf "ntpserver is %s\n" $ntpsrv + + grep -q -s $ntpsrv ${NTPDATE_CONF} + NTPDATE_UPDATE=$? + if [ -w "${NTPDATE_CONF}" -a ${NTPDATE_UPDATE} != 0 ]; then + printf "changing ntpserver for ntpdate\n" + sed -i -e "s/\(NTPSERVERS=\)\(.*\)/\1\"$ntpsrv\"/g" ${NTPDATE_CONF} + /etc/network/if-up.d/ntpdate-sync + fi + + grep -q -s $ntpsrv ${NTP_CONF} + NTP_UPDATE=$? + if [ -w "${NTP_CONF}" -a ${NTP_UPDATE} != 0 ]; then + printf "changing ntpserver for ntpd\n" + sed -i -e "1,/^server/s/^\(server\)\(.*\)/\1 $ntpsrv iburst/g" ${NTP_CONF} + systemctl restart ntpd + fi + ;; +esac diff --git a/meta-sysmocom-bsp/recipes-extra/conntrack-tools/files/init b/meta-sysmocom-bsp/recipes-extra/conntrack-tools/files/init index afee655d14..bce2075a72 100644 --- a/meta-sysmocom-bsp/recipes-extra/conntrack-tools/files/init +++ b/meta-sysmocom-bsp/recipes-extra/conntrack-tools/files/init @@ -1,151 +1,11 @@ - - - -meta-openembedded - Collection of OpenEmbedded layers - - - - - - - -
- - - - -
-summaryrefslogtreecommitdiffabout
- - - -
-
-
path: root/meta-networking/recipes-filter/conntrack-tools/files/init
blob: bce2075a72f3545dc6a4dda34df9e26a4e15c58c (plain) - - -
1
-2
-3
-4
-5
-6
-7
-8
-9
-10
-11
-12
-13
-14
-15
-16
-17
-18
-19
-20
-21
-22
-23
-24
-25
-26
-27
-28
-29
-30
-31
-32
-33
-34
-35
-36
-37
-38
-39
-40
-41
-42
-43
-44
-45
-46
-47
-48
-49
-50
-51
-52
-53
-54
-55
-56
-57
-58
-59
-60
-61
-62
-63
-64
-65
-66
-67
-68
-69
-70
-71
-72
-73
-74
-75
-76
-77
-78
-79
-80
-81
-82
-83
-84
-85
-86
-87
-
#!/bin/sh
+#!/bin/sh
 #
 # /etc/init.d/conntrackd
 #
-# Maximilian Wilhelm <max@rfc2324.org>
+# Maximilian Wilhelm 
 #  -- Mon, 06 Nov 2006 18:39:07 +0100
 #
-# Roman I Khimov <khimov@altell.ru>
+# Roman I Khimov 
 #  -- Tue, 27 Oct 2009 14:34:00 +0300
 
 ### BEGIN INIT INFO
@@ -160,57 +20,57 @@
 
 export PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
 
-NAME="conntrackd"
-DAEMON="/usr/sbin/conntrackd"
-CONFIG="/etc/conntrackd/conntrackd.conf"
-PIDFILE="/var/run/${NAME}.pid"
+NAME="conntrackd"
+DAEMON="/usr/sbin/conntrackd"
+CONFIG="/etc/conntrackd/conntrackd.conf"
+PIDFILE="/var/run/${NAME}.pid"
 
 
 # Gracefully exit if there is no daemon (debian way of life)
-if [ ! -x "${DAEMON}" ]; then
+if [ ! -x "${DAEMON}" ]; then
 	exit 0
 fi
 
 # Check for config file
 if [ ! -f /etc/conntrackd/conntrackd.conf ]; then
-	echo "Error: There is no config file for $NAME" >&2
+	echo "Error: There is no config file for $NAME" >&2
 	exit 1;
 fi
 
-case "$1" in
+case "$1" in
   start)
-        echo -n "Starting $NAME: "
+        echo -n "Starting $NAME: "
 	for i in nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_proto_dccp nf_conntrack_tftp \
 		nf_conntrack_sane nf_conntrack_pptp nf_conntrack_irc nf_conntrack_amanda nf_conntrack_h323 \
 		nf_conntrack_proto_udplite nf_conntrack_proto_gre nf_conntrack_proto_sctp nf_conntrack_ftp \
 		nf_conntrack_sip; do
-		modprobe $i >/dev/null 2>/dev/null &
+		modprobe $i >/dev/null 2>/dev/null &
 	done
-	start-stop-daemon --start --quiet --make-pidfile --pidfile "/var/run/${NAME}.pid" --background --exec "${DAEMON}"
+	start-stop-daemon --start --quiet --make-pidfile --pidfile "/var/run/${NAME}.pid" --background --exec "${DAEMON}"
 	RET=$?
-	if [ "$?" = "0" ]; then
+	if [ "$?" = "0" ]; then
 		sleep 2
 		# Sync with other server
 		conntrackd -n
-		echo "done."
+		echo "done."
 	else
-		echo "FAILED!"
+		echo "FAILED!"
 	fi
 	exit $RET
 	;;
   stop)
-        echo -n "Stopping $NAME:"
-	start-stop-daemon --stop --quiet --oknodo --pidfile "/var/run/${NAME}.pid" && echo "done." || echo "FAILED!"
+        echo -n "Stopping $NAME:"
+	start-stop-daemon --stop --quiet --oknodo --pidfile "/var/run/${NAME}.pid" && echo "done." || echo "FAILED!"
 	;;
   status)
-	echo -n "conntrackd "
+	echo -n "conntrackd "
 	start-stop-daemon -q -K -t -x $DAEMON
 	RET=$?
-	if [ "$RET" = "0" ]; then
+	if [ "$RET" = "0" ]; then
                 PID=`cat $PIDFILE`
-		echo "($PID) is running"
+		echo "($PID) is running"
 	else
-		echo "is not running"
+		echo "is not running"
 		exit $RET
 	fi
 	;;
@@ -220,14 +80,8 @@ case "$1" in
 	;;
 
   *)
-	echo "Usage: /etc/init.d/conntrackd {start|stop|restart}"
+	echo "Usage: /etc/init.d/conntrackd {start|stop|restart}"
 	exit 1
 esac
 
 exit 0
-
-
- -
- - diff --git a/meta-sysmocom-bsp/recipes-extra/dnsmasq/files/sysmocom-idu/dnsmasq.conf b/meta-sysmocom-bsp/recipes-extra/dnsmasq/files/sysmocom-idu/dnsmasq.conf index 42a1b59341..dafbae33b3 100755 --- a/meta-sysmocom-bsp/recipes-extra/dnsmasq/files/sysmocom-idu/dnsmasq.conf +++ b/meta-sysmocom-bsp/recipes-extra/dnsmasq/files/sysmocom-idu/dnsmasq.conf @@ -142,11 +142,17 @@ dhcp-range=admin,172.16.6.2,172.16.6.254,255.255.255.0,24h # DHCP range for all BTS dhcp-range=gsm,172.16.7.10,172.16.7.254,255.255.255.0,168h +# DHCP range for IP cameras +dhcp-range=video,172.16.9.32,172.16.9.254,255.255.255.0,168h + # DHCH range for WiFi networks dhcp-range=wifi-admin,172.16.8.10,172.16.8.254,255.255.255.0,24h dhcp-range=wifi-onboard,172.16.128.10,172.16.131.254,255.255.252.0,24h dhcp-range=wifi-remote,172.16.132.10,172.16.135.254,255.255.252.0,24h +# provide the ntp server running on the idu +dhcp-option=option:ntp-server,0.0.0.0 + # This is an example of a DHCP range with a network-id, so that # some DHCP options may be set only for this network. #dhcp-range=red,192.168.0.50,192.168.0.150 @@ -228,9 +234,6 @@ dhcp-range=wifi-remote,172.16.132.10,172.16.135.254,255.255.252.0,24h # DNS server - 6 # broadcast address - 28 -# Set the NTP time server addresses to 172.16.1.1 -dhcp-option=42,172.16.1.1 - # Set the NTP time server address to be the same machine as # is running dnsmasq #dhcp-option=42,0.0.0.0 diff --git a/meta-sysmocom-bsp/recipes-fixes/initscripts/files-dora/sysmocom-idu/volatiles b/meta-sysmocom-bsp/recipes-fixes/initscripts/files-dora/sysmocom-idu/volatiles new file mode 100644 index 0000000000..d42cabb768 --- /dev/null +++ b/meta-sysmocom-bsp/recipes-fixes/initscripts/files-dora/sysmocom-idu/volatiles @@ -0,0 +1,36 @@ +# This configuration file lists filesystem objects that should get verified +# during startup and be created if missing. +# +# Every line must either be a comment starting with # +# or a definition of format: +# +# where the items are separated by whitespace ! +# +# : d|f|l : (d)irectory|(f)ile|(l)ink +# +# A linking example: +# l root root 0777 /var/test /tmp/testfile +# f root root 0644 /var/test none +# +# Understanding links: +# When populate-volatile is to verify/create a directory or file, it will first +# check it's existence. If a link is found to exist in the place of the target, +# the path of the target is replaced with the target the link points to. +# Thus, if a link is in the place to be verified, the object will be created +# in the place the link points to instead. +# This explains the order of "link before object" as in the example above, where +# a link will be created at /var/test pointing to /tmp/testfile and due to this +# link the file defined as /var/test will actually be created as /tmp/testfile. +d root root 1777 /run/lock none +d root root 0755 /var/volatile/log none +d root root 1777 /var/volatile/tmp none +l root root 1777 /var/lock /run/lock +#l root root 0755 /var/log /var/volatile/log +l root root 0755 /var/run /run +l root root 1777 /var/tmp /var/volatile/tmp +l root root 1777 /tmp /var/tmp +d root root 0755 /var/lock/subsys none +f root root 0664 /var/log/wtmp none +f root root 0664 /var/run/utmp none +l root root 0644 /etc/resolv.conf /var/run/resolv.conf +f root root 0644 /var/run/resolv.conf none diff --git a/meta-sysmocom-bsp/recipes-fixes/initscripts/files-master/sysmocom-idu/volatiles b/meta-sysmocom-bsp/recipes-fixes/initscripts/files-master/sysmocom-idu/volatiles new file mode 100644 index 0000000000..d42cabb768 --- /dev/null +++ b/meta-sysmocom-bsp/recipes-fixes/initscripts/files-master/sysmocom-idu/volatiles @@ -0,0 +1,36 @@ +# This configuration file lists filesystem objects that should get verified +# during startup and be created if missing. +# +# Every line must either be a comment starting with # +# or a definition of format: +# +# where the items are separated by whitespace ! +# +# : d|f|l : (d)irectory|(f)ile|(l)ink +# +# A linking example: +# l root root 0777 /var/test /tmp/testfile +# f root root 0644 /var/test none +# +# Understanding links: +# When populate-volatile is to verify/create a directory or file, it will first +# check it's existence. If a link is found to exist in the place of the target, +# the path of the target is replaced with the target the link points to. +# Thus, if a link is in the place to be verified, the object will be created +# in the place the link points to instead. +# This explains the order of "link before object" as in the example above, where +# a link will be created at /var/test pointing to /tmp/testfile and due to this +# link the file defined as /var/test will actually be created as /tmp/testfile. +d root root 1777 /run/lock none +d root root 0755 /var/volatile/log none +d root root 1777 /var/volatile/tmp none +l root root 1777 /var/lock /run/lock +#l root root 0755 /var/log /var/volatile/log +l root root 0755 /var/run /run +l root root 1777 /var/tmp /var/volatile/tmp +l root root 1777 /tmp /var/tmp +d root root 0755 /var/lock/subsys none +f root root 0664 /var/log/wtmp none +f root root 0664 /var/run/utmp none +l root root 0644 /etc/resolv.conf /var/run/resolv.conf +f root root 0644 /var/run/resolv.conf none diff --git a/meta-sysmocom-bsp/recipes-fixes/initscripts/initscripts_dora.inc b/meta-sysmocom-bsp/recipes-fixes/initscripts/initscripts_dora.inc new file mode 100644 index 0000000000..5e69ea209a --- /dev/null +++ b/meta-sysmocom-bsp/recipes-fixes/initscripts/initscripts_dora.inc @@ -0,0 +1,4 @@ +THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}" +FILESPATH =. "${@base_set_filespath(["${THISDIR}/files-dora"], d)}:" + +PRINC="4" diff --git a/meta-sysmocom-bsp/recipes-fixes/initscripts/initscripts_master.inc b/meta-sysmocom-bsp/recipes-fixes/initscripts/initscripts_master.inc new file mode 100644 index 0000000000..2a4815be07 --- /dev/null +++ b/meta-sysmocom-bsp/recipes-fixes/initscripts/initscripts_master.inc @@ -0,0 +1,4 @@ +THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}" +FILESPATH =. "${@base_set_filespath(["${THISDIR}/files-master"], d)}:" + +PRINC="4" diff --git a/meta-sysmocom-bsp/recipes-fixes/systemd/systemd/sysmocom-idu/journald.conf b/meta-sysmocom-bsp/recipes-fixes/systemd/systemd/sysmocom-idu/journald.conf new file mode 100644 index 0000000000..9ce26cbd23 --- /dev/null +++ b/meta-sysmocom-bsp/recipes-fixes/systemd/systemd/sysmocom-idu/journald.conf @@ -0,0 +1,34 @@ +# This file is part of systemd. +# +# systemd is free software; you can redistribute it and/or modify it +# under the terms of the GNU Lesser General Public License as published by +# the Free Software Foundation; either version 2.1 of the License, or +# (at your option) any later version. +# +# See journald.conf(5) for details + +# Always use a volatile storage and keep the log size down but more +# importantly the address space of the journald + +[Journal] +Storage=persistent +#Compress=yes +#Seal=no +#RateLimitInterval=10s +#RateLimitBurst=200 +#SystemMaxUse=10 +#SystemKeepFree= +#SystemMaxFileSize= +#SystemMinFileSize= +RuntimeMaxUse=648K +#RuntimeKeepFree= +#RuntimeMaxFileSize= +#RuntimeMinFileSize= +#ForwardToSyslog=yes +#ForwardToKMsg=no +#ForwardToConsole=no +#TTYPath=/dev/console +#MaxLevelStore=debug +#MaxLevelSyslog=debug +#MaxLevelKMsg=notice +#MaxLevelConsole=info diff --git a/meta-sysmocom-bsp/recipes-fixes/systemd/systemd_sysmocom.inc b/meta-sysmocom-bsp/recipes-fixes/systemd/systemd_sysmocom.inc index 77bc670dc9..954708afb1 100644 --- a/meta-sysmocom-bsp/recipes-fixes/systemd/systemd_sysmocom.inc +++ b/meta-sysmocom-bsp/recipes-fixes/systemd/systemd_sysmocom.inc @@ -1,7 +1,7 @@ S_THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}" FILESPATH =. "${@base_set_filespath(["${S_THISDIR}/${PN}"], d)}:" -PRINC="24" +PRINC="25" SRC_URI += "file://journald.conf \ file://legacy.conf \ diff --git a/meta-sysmocom-bsp/yocto-dora/initscripts_1.0.bbappend b/meta-sysmocom-bsp/yocto-dora/initscripts_1.0.bbappend new file mode 100644 index 0000000000..2e418b572d --- /dev/null +++ b/meta-sysmocom-bsp/yocto-dora/initscripts_1.0.bbappend @@ -0,0 +1 @@ +require recipes-fixes/initscripts/${PN}_dora.inc diff --git a/meta-sysmocom-bsp/yocto-master/dbus_1.8.10.bbappend b/meta-sysmocom-bsp/yocto-master/dbus_%.bbappend similarity index 100% rename from meta-sysmocom-bsp/yocto-master/dbus_1.8.10.bbappend rename to meta-sysmocom-bsp/yocto-master/dbus_%.bbappend diff --git a/meta-sysmocom-bsp/yocto-master/initscripts_1.0.bbappend b/meta-sysmocom-bsp/yocto-master/initscripts_1.0.bbappend new file mode 100644 index 0000000000..fda46a2dce --- /dev/null +++ b/meta-sysmocom-bsp/yocto-master/initscripts_1.0.bbappend @@ -0,0 +1 @@ +require recipes-fixes/initscripts/${PN}_master.inc